# Retrieve Contact Property

> GET /contact-properties/:id — retrieve a contact property by its ID.

`GET /contact-properties/:id`

Retrieve a single contact property by its ID.

**Path parameters**

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `contact_property_id` | string | Yes | The Contact Property ID. |

**Node.js**

```js
import { SendDart } from 'senddart';

const mb = new SendDart('mb_xxxxxxxxx');

const { data, error } = await mb.contactProperties.get('b6d24b8e-af0b-4c3c-be0c-359bbd97381e');
console.log({ data, error });
```

**Ruby**

```ruby
require "senddart"

SendDart.api_key = "mb_xxxxxxxxx"

SendDart::ContactProperties.get("b6d24b8e-af0b-4c3c-be0c-359bbd97381e")
```

**PHP**

```php
<?php
require 'vendor/autoload.php';

use SendDart\SendDart;

$senddart = SendDart::client('mb_xxxxxxxxx');

$senddart->contactProperties->get('b6d24b8e-af0b-4c3c-be0c-359bbd97381e');
```

**Python**

```python
import senddart

senddart.api_key = "mb_xxxxxxxxx"

senddart.ContactProperties.get("b6d24b8e-af0b-4c3c-be0c-359bbd97381e")
```

**Go**

```go
import "github.com/shekhu10/senddart-sdks/senddart-go"

client := senddart.NewClient("mb_xxxxxxxxx")

property, err := client.ContactProperties.Get("b6d24b8e-af0b-4c3c-be0c-359bbd97381e")
```

**Rust**

```rust
use senddart::SendDart;

let mb = SendDart::new("mb_xxxxxxxxx");

let _property = mb.contact_properties.get("b6d24b8e-af0b-4c3c-be0c-359bbd97381e").await?;
```

**Java**

```java
import com.senddart.SendDart;
import com.senddart.SendDartResponse;

SendDart senddart = new SendDart("mb_xxxxxxxxx");

SendDartResponse response = senddart.contactProperties().get("b6d24b8e-af0b-4c3c-be0c-359bbd97381e");
```

**.NET**

```csharp
using SendDart;

ISendDart senddart = SendDartClient.Create("mb_xxxxxxxxx");

var resp = await senddart.ContactPropertyRetrieveAsync("b6d24b8e-af0b-4c3c-be0c-359bbd97381e");
```

**cURL**

```bash
curl -X GET 'https://www.senddart.com/api/contact-properties/b6d24b8e-af0b-4c3c-be0c-359bbd97381e' \
  -H 'Authorization: Bearer mb_xxxxxxxxx'
```

**CLI**

```bash
senddart contact-properties get b6d24b8e-af0b-4c3c-be0c-359bbd97381e
```

### Response

```json
{
  "object": "contact_property",
  "id": "b6d24b8e-af0b-4c3c-be0c-359bbd97381e",
  "key": "company_name",
  "type": "string",
  "fallback_value": "Acme Corp",
  "created_at": "2026-04-08T00:11:13.000Z"
}
```
